curl --request PATCH \
--url https://api.hightouch.com/api/v1/models/{modelId}/match-booster \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enabled": true,
"regions": [
{
"region": "us",
"householdExpansion": false,
"ctvMatching": false,
"enrichmentSchedule": {
"interval": {
"unit": "day",
"quantity": 1
}
}
}
],
"columnMappings": [
{
"column": "email",
"idType": "email"
},
{
"column": "phone_number",
"idType": "phone"
}
]
}
'import requests
url = "https://api.hightouch.com/api/v1/models/{modelId}/match-booster"
payload = {
"enabled": True,
"regions": [
{
"region": "us",
"householdExpansion": False,
"ctvMatching": False,
"enrichmentSchedule": { "interval": {
"unit": "day",
"quantity": 1
} }
}
],
"columnMappings": [
{
"column": "email",
"idType": "email"
},
{
"column": "phone_number",
"idType": "phone"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
enabled: true,
regions: [
{
region: 'us',
householdExpansion: false,
ctvMatching: false,
enrichmentSchedule: {interval: {unit: 'day', quantity: 1}}
}
],
columnMappings: [{column: 'email', idType: 'email'}, {column: 'phone_number', idType: 'phone'}]
})
};
fetch('https://api.hightouch.com/api/v1/models/{modelId}/match-booster', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hightouch.com/api/v1/models/{modelId}/match-booster",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'enabled' => true,
'regions' => [
[
'region' => 'us',
'householdExpansion' => false,
'ctvMatching' => false,
'enrichmentSchedule' => [
'interval' => [
'unit' => 'day',
'quantity' => 1
]
]
]
],
'columnMappings' => [
[
'column' => 'email',
'idType' => 'email'
],
[
'column' => 'phone_number',
'idType' => 'phone'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hightouch.com/api/v1/models/{modelId}/match-booster"
payload := strings.NewReader("{\n \"enabled\": true,\n \"regions\": [\n {\n \"region\": \"us\",\n \"householdExpansion\": false,\n \"ctvMatching\": false,\n \"enrichmentSchedule\": {\n \"interval\": {\n \"unit\": \"day\",\n \"quantity\": 1\n }\n }\n }\n ],\n \"columnMappings\": [\n {\n \"column\": \"email\",\n \"idType\": \"email\"\n },\n {\n \"column\": \"phone_number\",\n \"idType\": \"phone\"\n }\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.hightouch.com/api/v1/models/{modelId}/match-booster")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"enabled\": true,\n \"regions\": [\n {\n \"region\": \"us\",\n \"householdExpansion\": false,\n \"ctvMatching\": false,\n \"enrichmentSchedule\": {\n \"interval\": {\n \"unit\": \"day\",\n \"quantity\": 1\n }\n }\n }\n ],\n \"columnMappings\": [\n {\n \"column\": \"email\",\n \"idType\": \"email\"\n },\n {\n \"column\": \"phone_number\",\n \"idType\": \"phone\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hightouch.com/api/v1/models/{modelId}/match-booster")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"enabled\": true,\n \"regions\": [\n {\n \"region\": \"us\",\n \"householdExpansion\": false,\n \"ctvMatching\": false,\n \"enrichmentSchedule\": {\n \"interval\": {\n \"unit\": \"day\",\n \"quantity\": 1\n }\n }\n }\n ],\n \"columnMappings\": [\n {\n \"column\": \"email\",\n \"idType\": \"email\"\n },\n {\n \"column\": \"phone_number\",\n \"idType\": \"phone\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"enabled": true,
"settingsModelId": 123,
"regions": [
{
"region": "us",
"householdExpansion": true,
"ctvMatching": true,
"enrichmentSchedule": {
"interval": {
"unit": "hour",
"quantity": 2
}
}
}
],
"columnMappings": [
{
"column": "<string>",
"idType": "<string>"
}
]
}{
"message": "Validation failed",
"details": {}
}"Internal Server Error"Update Match Booster configuration
Update a model’s Match Booster configuration. Omitted fields are left
unchanged; regions and columnMappings, when provided, replace the
stored set. Audience models cannot be updated directly — target the
parent model (settingsModelId) instead.
curl --request PATCH \
--url https://api.hightouch.com/api/v1/models/{modelId}/match-booster \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enabled": true,
"regions": [
{
"region": "us",
"householdExpansion": false,
"ctvMatching": false,
"enrichmentSchedule": {
"interval": {
"unit": "day",
"quantity": 1
}
}
}
],
"columnMappings": [
{
"column": "email",
"idType": "email"
},
{
"column": "phone_number",
"idType": "phone"
}
]
}
'import requests
url = "https://api.hightouch.com/api/v1/models/{modelId}/match-booster"
payload = {
"enabled": True,
"regions": [
{
"region": "us",
"householdExpansion": False,
"ctvMatching": False,
"enrichmentSchedule": { "interval": {
"unit": "day",
"quantity": 1
} }
}
],
"columnMappings": [
{
"column": "email",
"idType": "email"
},
{
"column": "phone_number",
"idType": "phone"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
enabled: true,
regions: [
{
region: 'us',
householdExpansion: false,
ctvMatching: false,
enrichmentSchedule: {interval: {unit: 'day', quantity: 1}}
}
],
columnMappings: [{column: 'email', idType: 'email'}, {column: 'phone_number', idType: 'phone'}]
})
};
fetch('https://api.hightouch.com/api/v1/models/{modelId}/match-booster', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hightouch.com/api/v1/models/{modelId}/match-booster",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'enabled' => true,
'regions' => [
[
'region' => 'us',
'householdExpansion' => false,
'ctvMatching' => false,
'enrichmentSchedule' => [
'interval' => [
'unit' => 'day',
'quantity' => 1
]
]
]
],
'columnMappings' => [
[
'column' => 'email',
'idType' => 'email'
],
[
'column' => 'phone_number',
'idType' => 'phone'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hightouch.com/api/v1/models/{modelId}/match-booster"
payload := strings.NewReader("{\n \"enabled\": true,\n \"regions\": [\n {\n \"region\": \"us\",\n \"householdExpansion\": false,\n \"ctvMatching\": false,\n \"enrichmentSchedule\": {\n \"interval\": {\n \"unit\": \"day\",\n \"quantity\": 1\n }\n }\n }\n ],\n \"columnMappings\": [\n {\n \"column\": \"email\",\n \"idType\": \"email\"\n },\n {\n \"column\": \"phone_number\",\n \"idType\": \"phone\"\n }\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.hightouch.com/api/v1/models/{modelId}/match-booster")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"enabled\": true,\n \"regions\": [\n {\n \"region\": \"us\",\n \"householdExpansion\": false,\n \"ctvMatching\": false,\n \"enrichmentSchedule\": {\n \"interval\": {\n \"unit\": \"day\",\n \"quantity\": 1\n }\n }\n }\n ],\n \"columnMappings\": [\n {\n \"column\": \"email\",\n \"idType\": \"email\"\n },\n {\n \"column\": \"phone_number\",\n \"idType\": \"phone\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hightouch.com/api/v1/models/{modelId}/match-booster")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"enabled\": true,\n \"regions\": [\n {\n \"region\": \"us\",\n \"householdExpansion\": false,\n \"ctvMatching\": false,\n \"enrichmentSchedule\": {\n \"interval\": {\n \"unit\": \"day\",\n \"quantity\": 1\n }\n }\n }\n ],\n \"columnMappings\": [\n {\n \"column\": \"email\",\n \"idType\": \"email\"\n },\n {\n \"column\": \"phone_number\",\n \"idType\": \"phone\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"enabled": true,
"settingsModelId": 123,
"regions": [
{
"region": "us",
"householdExpansion": true,
"ctvMatching": true,
"enrichmentSchedule": {
"interval": {
"unit": "hour",
"quantity": 2
}
}
}
],
"columnMappings": [
{
"column": "<string>",
"idType": "<string>"
}
]
}{
"message": "Validation failed",
"details": {}
}"Internal Server Error"Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The id of the model
Body
The input for updating a model's Match Booster configuration. Omitted
fields are left unchanged; regions and columnMappings, when provided,
replace the stored set.
The API supports a single Match Booster region per model (multi-region is an audience feature, and audiences are not configurable via the API), so exactly one entry must be provided.
1 elementShow child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Ok
A model's Match Booster configuration.
Whether Match Booster enrichment is enabled for the model.
The model that carries the Match Booster settings. For audience models this is the parent model; configuration changes must target it directly.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?